Package org.apache.sling.api.wrappers

# Class JakartaToJavaxResponseWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.ServletResponseWrapper
org.apache.felix.http.javaxwrappers.HttpServletResponseWrapper
org.apache.sling.api.wrappers.JakartaToJavaxResponseWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`, `Adaptable`, `SlingHttpServletResponse`

public class JakartaToJavaxResponseWrapper extends org.apache.felix.http.javaxwrappers.HttpServletResponseWrapper implements SlingHttpServletResponse
Wrapper for `SlingJakartaHttpServletResponse` to adapt it to the Jacax Servlet API.

Since:
  2.9.0

## Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

## Constructor Summary

Constructors
Constructor
Description
`JakartaToJavaxResponseWrapper(SlingJakartaHttpServletResponse wrappedResponse)`

## Method Summary

Modifier and Type
Method
Description
`<AdapterType>
AdapterType`
`adaptTo(@NotNull Class<AdapterType> type)`
Adapts the adaptable to another type.
`static javax.servlet.http.HttpServletResponse`
`toJavaxResponse(@Nullable jakarta.servlet.http.HttpServletResponse response)`
Create a new wrapper
`static javax.servlet.ServletResponse`
`toJavaxResponse(@Nullable jakarta.servlet.ServletResponse response)`
Create a new wrapper
`static @Nullable SlingHttpServletResponse`
`toJavaxResponse(@Nullable SlingJakartaHttpServletResponse response)`
Create a new wrapper

### Methods inherited from class org.apache.felix.http.javaxwrappers.HttpServletResponseWrapper

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

### Methods inherited from class org.apache.felix.http.javaxwrappers.ServletResponseWrapper

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWrapper, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.http.HttpServletResponse

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

### Methods inherited from interface javax.servlet.ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

## Constructor Details

### JakartaToJavaxResponseWrapper

public JakartaToJavaxResponseWrapper(SlingJakartaHttpServletResponse wrappedResponse)

## Method Details

### toJavaxResponse

@Nullable public static javax.servlet.ServletResponse toJavaxResponse(@Nullable @Nullable jakarta.servlet.ServletResponse response)
Create a new wrapper

Parameters:
  `response` - Jakarta Servlet API based response object (may be null)
Returns:
  null if the response parameter is null, or the wrapped response otherwise

### toJavaxResponse

@Nullable public static javax.servlet.http.HttpServletResponse toJavaxResponse(@Nullable @Nullable jakarta.servlet.http.HttpServletResponse response)
Create a new wrapper

Parameters:
  `response` - http Jakarta Servlet API based response object (may be null)
Returns:
  null if the response parameter is null, or the wrapped response otherwise

### toJavaxResponse

@Nullable public static @Nullable SlingHttpServletResponse toJavaxResponse(@Nullable @Nullable SlingJakartaHttpServletResponse response)
Create a new wrapper

Parameters:
  `response` - sling http Jakarta Servlet API based response object (may be null)
Returns:
  null if the response parameter is null, or the wrapped response otherwise

### adaptTo

@Nullable public <AdapterType> AdapterType adaptTo(@NotNull @NotNull Class<AdapterType> type)
Description copied from interface: `Adaptable`
Adapts the adaptable to another type.

Please note that it is explicitly left as an implementation detail whether each call to this method with the same `type` yields the same object or a new object on each call.

Implementations of this method should document their adapted types as well as their behaviour with respect to returning newly created or same instances on each call.

Specified by:
  `adaptTo` in interface `Adaptable`
Type Parameters:
  `AdapterType` - The generic type to which this object is adapted to
Parameters:
  `type` - The Class object of the target type, such as `javax.jcr.Node.class` or `java.io.File.class`
Returns:
  The adapter target or `null` if the object cannot adapt to the requested type